-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: haskell-swish
Binary: swish, libghc-swish-dev, libghc-swish-doc, libghc-swish-prof
Architecture: any all
Version: 0.10.9.0-1
Maintainer: Debian Haskell Group <debian-haskell@lists.debian.org>
Uploaders:  Jonas Smedegaard <dr@jones.dk>,
Homepage: https://gitlab.com/dburke/swish
Description: semantic web toolkit
 Swish is a framework for performing deductions in RDF data
 using a variety of techniques.
 Swish is conceived as a toolkit for experimenting with RDF inference,
 and for implementing stand-alone RDF file processors
 (usable in similar style to CWM,
 but with a view to being extensible in declarative style
 through added Haskell function and data value declarations).
 It explores Haskell as "a scripting language for the Semantic Web".
 .
 Swish is a work-in-progress, and currently incorporates:
 .
  * Turtle, Notation3 and NTriples input and output.
    The N3 support is incomplete (no handling of @forAll).
  * RDF graph isomorphism testing and merging.
  * Display of differences between RDF graphs.
  * Inference operations in forward chaining, backward chaining
    and proof-checking modes.
  * Simple Horn-style rule implementations,
    extendable through variable binding modifiers and filters.
  * Class restriction rule implementation,
    primarily for datatype inferences.
  * RDF formal semantics entailment rule implementation.
  * Complete, ready-to-run, command-line and script-driven programs.
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/haskell-team/haskell-swish
Vcs-Git: https://salsa.debian.org/haskell-team/haskell-swish.git
Build-Depends: cdbs, debhelper, dh-buildinfo, ghc, ghc-prof, libghc-hashable-dev (<< 1.6), libghc-hashable-prof, libghc-intern-dev (<< 1.0), libghc-intern-prof, libghc-network-uri-dev (<< 2.8), libghc-network-uri-prof, libghc-polyparse-dev (<< 1.14), libghc-polyparse-prof, libghc-semigroups-dev (<< 0.21), libghc-semigroups-prof, haskell-devscripts, help2man, libghc-hunit-dev <!nocheck>, libghc-test-framework-dev <!nocheck>, libghc-test-framework-hunit-dev <!nocheck>, chrpath
Build-Depends-Indep: ghc-doc, libghc-hashable-doc, libghc-intern-doc, libghc-network-uri-doc, libghc-polyparse-doc, libghc-semigroups-doc, libghc-unordered-containers-doc
Package-List:
 libghc-swish-dev deb haskell optional arch=any
 libghc-swish-doc deb doc optional arch=all
 libghc-swish-prof deb haskell optional arch=any
 swish deb web optional arch=any
Checksums-Sha1:
 8fbbc2909552f9815fd586d985606e9bd4717176 263308 haskell-swish_0.10.9.0.orig.tar.bz2
 b11f9d4308d2f7cf53f08792f94be1319ebbdbac 8036 haskell-swish_0.10.9.0-1.debian.tar.xz
Checksums-Sha256:
 cc5a9fb1ca495b72e1a839eb63153f58ecbbb6eb34fdfe5f6b3f4446781934cf 263308 haskell-swish_0.10.9.0.orig.tar.bz2
 8e55e96fc6c3390de83241808ea2378c3277bd90a08c5f71a4e0ecfad436911b 8036 haskell-swish_0.10.9.0-1.debian.tar.xz
Files:
 41c24945bf0a3135b6c551232cf4888a 263308 haskell-swish_0.10.9.0.orig.tar.bz2
 b5ed3851491f4b617682fd93b3f9bb67 8036 haskell-swish_0.10.9.0-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQJABAEBCgAqFiEEn+Ppw2aRpp/1PMaELHwxRsGgASEFAma8aREMHGRyQGpvbmVz
LmRrAAoJECx8MUbBoAEhnOQP/1xBK6sv/61zdqm1OpIT5FeyHyBLTNo9hIXRRfmI
mpI5XGyPWZ+5MBqgr7rpHbwB706AOchBAyhZz3Gkzul3HA2QZe5bnRlTgo2Afw9k
AgaYqDaBbJx6b++vosrkGu/NZIZ2b0Deo1aMMBtOKXPCX23Uxtl4PcqtNJtp/zkX
wlbqudpztkjBcxK+4KIXLBqSGAAzpDGCGx5q3nA6GobFn+Yko3D49NP+Jnh94SO2
ZIYiYKrv/M63dHK9Cr9ylhpz/Gl3FtQMzAY3s6PhlMCVvTSQnv7AiSO2kXG0MCFt
rZoSe1I7TXcTIP8NWWzVkJn2O4MEz8Vjyxvk8d+evYmfVgIFfqncyfNXzVk2Xu6W
EJP6+H9cSs+tZlM5Rq9sZH1rnLF/49B9sAa+7N2j1HwJ/6qbxnHA++IsWISJh/AK
9eKx8rN/gGeveKxZrU7cx5wNFB9H15ca4W/G0O9CCJTCq6W2fbiF7GpR1Ny2zQGP
c/zX74oVaRFC8isLJEMo8vCpfJqNK6wkbHW5tGglCuiNU0p3H2CPb2EUBmig6XC7
+jBJ1CyZTlA2vGL49cXzPTKXnniqaLgA+7ir/pWrJX+Qn/S7+kHRi+Jv6kDonjTV
9M3C+Iof8l5vSb1sAdb4cpNjHGuJON4TlYMlJ1aY9CRsWq00Ov5dHHnoWAdUT+BL
aBP3
=29go
-----END PGP SIGNATURE-----
